package com.hzya.frame.deletedata.dao;

import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.deletedata.entity.DeleteU8cDataUtilEntity;
//import com.hzya.frame.deletedata.vo.DeleteArapDjzbVo;
import com.hzya.frame.deletedata.vo.*;

import java.util.List;

/**
 * 报表授权表(report_accredit: table)表数据库访问层
 *
 * @author makejava
 * @since 2024-05-21 15:02:11
 */
public interface DeleteU8cDataUtilDao extends IBaseDao<DeleteU8cDataUtilEntity, String> {
    /**
     * 查询需要删除的销售发票
     *
     * @author liuyang
     */
    List<DeleteU8cDataUtilEntity> querySoSaleinvoiceByDelete(DeleteU8cDataUtilEntity soSaleinvoiceEntity) throws Exception;

    /**
     * 查询需要删除的销售出库单
     *
     * @author liuyang
     */
    List<DeleteU8cDataUtilEntity> queryIcGeneralHByDelete(DeleteIcGeneralHVo deleteIcGeneralHVo) throws Exception;


    /**
     * 查询需要取消签字的销售出库单
     *
     * @author liuyang
     */
    List<DeleteU8cDataUtilEntity> queryIcGeneralHByCancelSignature(DeleteIcGeneralHVo deleteIcGeneralHVo) throws Exception;

    /**
     * 查询需要取消签字的销售出库单
     *
     * @author liuyang
     */
    List<DeleteU8cDataUtilEntity> queryIcGeneralHByCancelSignatureV2(DeleteIcGeneralHVo deleteIcGeneralHVo) throws Exception;

    /**
     * 查询需要取消签字的销售出库单
     *
     * @author liuyang
     */
    List<DeleteU8cDataUtilEntity> queryIcGeneralHBySign(DeleteIcGeneralHVo deleteIcGeneralHVo) throws Exception;

    /**
     * 查询需要删除的销售订单
     *
     * @author liuyang
     */
    List<DeleteU8cDataUtilEntity> querySoSaleByDelete(DeleteSoSaleVo deleteSoSaleVo) throws Exception;

    /**
     * 查询需要删除的销售订单
     *
     * @author liuyang
     */
    List<DeleteU8cDataUtilEntity> querySoSaleByDeletev2(DeleteSoSaleVo deleteSoSaleVo) throws Exception;

    /**
     * 弃审应收单
     *
     * @author liuyang
     */
    List<DeleteU8cDataUtilEntity> abandonmentAccountsReceivableDoc(DeleteSoSaleVo deleteSoSaleVo) throws Exception;

    /**
     * 自由态应收单
     *
     * @author liuyang
     */
    List<DeleteU8cDataUtilEntity> abandonmentAccountsReceivableDocFreeState(DeleteSoSaleVo deleteSoSaleVo) throws Exception;

    /**
     * 查询需要审批的销售发票
     *
     * @author liuyang
     */
    List<DeleteU8cDataUtilEntity> querySoSaleinvoiceByCancelApproval(DeleteU8cDataUtilEntity deleteU8cDataUtilEntity) throws Exception;


    /**
     * 查询需要处理的销售订单
     *
     * @author liuyang
     */
    List<DeleteU8cDataUtilEntity> cancelSignatureSoSaleReadExcel20250528V2() throws Exception;


    /**
     * 查询需要审批的销售发票
     *
     * @author liuyang
     */
    List<DeleteU8cDataUtilEntity> querySoSaleinvoiceByCancelApprovalV2(DeleteU8cDataUtilEntity deleteU8cDataUtilEntity) throws Exception;

    /**
     * 查找正确的部门主键
     *
     * @author liuyang
     */
    List<QueryCorrectDeptIdVo> queryCorrectDeptId(QueryCorrectDeptIdVo deleteU8cDataUtilEntity) throws Exception;

    /**
     * 修改销售订单表头部门主键
     *
     * @author liuyang
     */
    void updateCdeptid(UpdateSoSaleCdeptId updateSoSaleCdeptId) throws Exception;

    /**
     * 根据销售订单查找应收单
     *
     * @author liuyang
     */
    List<ArapDjzbVo> abandonmentAccountsReceivableDocV2(DeleteSoSaleVo deleteSoSaleVo) throws Exception;
}