package com.hzya.frame.deletedata.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.deletedata.dao.DeleteU8cDataUtilDao;
import com.hzya.frame.deletedata.entity.DeleteU8cDataUtilEntity;
import com.hzya.frame.deletedata.vo.*;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 报表授权表(ReportAccredit)表数据库访问层
 *
 * @author makejava
 * @since 2024-05-21 15:02:11
 */
@Repository(value = "DeleteU8cDataUtilDaoImpl")
public class DeleteU8cDataUtilDaoImpl extends MybatisGenericDao<DeleteU8cDataUtilEntity, String> implements DeleteU8cDataUtilDao {

    @DS("lets_u8c")
    @Override
    public List<DeleteU8cDataUtilEntity> querySoSaleinvoiceByDelete(DeleteU8cDataUtilEntity soSaleinvoiceEntity) throws Exception {
        return query("com.hzya.frame.deletedata.dao.impl.DeleteU8cDataUtilDaoImpl.querySoSaleinvoiceByDelete", soSaleinvoiceEntity);
    }

    @DS("lets_u8c")
    @Override
    public List<DeleteU8cDataUtilEntity> queryIcGeneralHByDelete(DeleteIcGeneralHVo deleteIcGeneralHVo) throws Exception {
        return query("com.hzya.frame.deletedata.dao.impl.DeleteU8cDataUtilDaoImpl.queryIcGeneralHByDelete", deleteIcGeneralHVo);
    }

    @DS("lets_u8c")
    @Override
    public List<DeleteU8cDataUtilEntity> queryIcGeneralHByCancelSignature(DeleteIcGeneralHVo deleteIcGeneralHVo) throws Exception {
        return query("com.hzya.frame.deletedata.dao.impl.DeleteU8cDataUtilDaoImpl.queryIcGeneralHByCancelSignature", deleteIcGeneralHVo);
    }

    @DS("lets_u8c")
    @Override
    public List<DeleteU8cDataUtilEntity> queryIcGeneralHByCancelSignatureV2(DeleteIcGeneralHVo deleteIcGeneralHVo) throws Exception {
        return query("com.hzya.frame.deletedata.dao.impl.DeleteU8cDataUtilDaoImpl.queryIcGeneralHByCancelSignatureV2", deleteIcGeneralHVo);
    }

    @DS("lets_u8c")
    @Override
    public List<DeleteU8cDataUtilEntity> queryIcGeneralHBySign(DeleteIcGeneralHVo deleteIcGeneralHVo) throws Exception {
        return query("com.hzya.frame.deletedata.dao.impl.DeleteU8cDataUtilDaoImpl.queryIcGeneralHBySign", deleteIcGeneralHVo);
    }


    @DS("lets_u8c")
    @Override
    public List<DeleteU8cDataUtilEntity> querySoSaleByDelete(DeleteSoSaleVo deleteIcGeneralHVo) throws Exception {
        return query("com.hzya.frame.deletedata.dao.impl.DeleteU8cDataUtilDaoImpl.querySoSaleByDelete", deleteIcGeneralHVo);
    }

    @DS("lets_u8c")
    @Override
    public List<DeleteU8cDataUtilEntity> querySoSaleByDeletev2(DeleteSoSaleVo deleteSoSaleVo) throws Exception {
        return query("com.hzya.frame.deletedata.dao.impl.DeleteU8cDataUtilDaoImpl.querySoSaleByDeletev2", deleteSoSaleVo);
    }

    @DS("lets_u8c")
    @Override
    public List<DeleteU8cDataUtilEntity> abandonmentAccountsReceivableDoc(DeleteSoSaleVo deleteSoSaleVo) throws Exception {
        return query("com.hzya.frame.deletedata.dao.impl.DeleteU8cDataUtilDaoImpl.abandonmentAccountsReceivableDoc", deleteSoSaleVo);
    }

    @DS("lets_u8c")
    @Override
    public List<DeleteU8cDataUtilEntity> abandonmentAccountsReceivableDocFreeState(DeleteSoSaleVo deleteSoSaleVo) throws Exception {
        return query("com.hzya.frame.deletedata.dao.impl.DeleteU8cDataUtilDaoImpl.abandonmentAccountsReceivableDocFreeState", deleteSoSaleVo);
    }

    @DS("lets_u8c")
    @Override
    public List<DeleteU8cDataUtilEntity> querySoSaleinvoiceByCancelApproval(DeleteU8cDataUtilEntity soSaleinvoiceEntity) throws Exception {
        return query("com.hzya.frame.deletedata.dao.impl.DeleteU8cDataUtilDaoImpl.querySoSaleinvoiceByCancelApproval", soSaleinvoiceEntity);
    }

    @DS("lets_u8c")
    @Override
    public List<DeleteU8cDataUtilEntity> cancelSignatureSoSaleReadExcel20250528V2() throws Exception {
        return query("com.hzya.frame.deletedata.dao.impl.DeleteU8cDataUtilDaoImpl.cancelSignatureSoSaleReadExcel20250528V2", new DeleteU8cDataUtilEntity());
    }

    @DS("lets_u8c")
    @Override
    public List<DeleteU8cDataUtilEntity> querySoSaleinvoiceByCancelApprovalV2(DeleteU8cDataUtilEntity deleteU8cDataUtilEntity) throws Exception {
        return query("com.hzya.frame.deletedata.dao.impl.DeleteU8cDataUtilDaoImpl.querySoSaleinvoiceByCancelApprovalV2", deleteU8cDataUtilEntity);
    }

    @DS("lets_u8c")
    @Override
    public List<QueryCorrectDeptIdVo> queryCorrectDeptId(QueryCorrectDeptIdVo deleteU8cDataUtilEntity) throws Exception {
        return (List<QueryCorrectDeptIdVo>) selectList("com.hzya.frame.deletedata.dao.impl.DeleteU8cDataUtilDaoImpl.queryCorrectDeptId", deleteU8cDataUtilEntity);
    }

    @DS("lets_u8c")
    @Override
    public void updateCdeptid(UpdateSoSaleCdeptId updateSoSaleCdeptId) throws Exception {
        update("com.hzya.frame.deletedata.dao.impl.DeleteU8cDataUtilDaoImpl.updateCdeptid", updateSoSaleCdeptId);
    }

    @DS("lets_u8c")
    @Override
    public List<ArapDjzbVo> abandonmentAccountsReceivableDocV2(DeleteSoSaleVo deleteSoSaleVo) throws Exception {
        return (List<ArapDjzbVo>) selectList("com.hzya.frame.deletedata.dao.impl.DeleteU8cDataUtilDaoImpl.abandonmentAccountsReceivableDocV2", deleteSoSaleVo);
    }
}

